.SUFFIXES: .o .ec .c .4gl .4ge .42m .42r .42a .per .42f .msg .iem .wsdl .4fd

4GL=catm0002_desp.4gl catm0002_glob.4gl catm0002_input.4gl catm0002_inse.4gl catm0002_main.4gl catm0002_modi.4gl 

FORM=catm0002_form.4fd

PROG_NAME=categorias.4ge

LIBFILE=$(BASEDIR)/bin/portal/lib.42x

LIBGRE=/opt/app/4js/gst241/dev/gre/lib/libgre.42x

POBJS=$(4GL:.4gl=.42m)

CFORM=$(FORM:.4fd=.42f)

RDS_NAME=$(PROG_NAME:.4ge=.42r)

PCODE:	$(POBJS)
	fgl2p -o $(RDS_NAME) $(POBJS) $(LIBFILE) $(LIBGRE)
	cp *.42r *.42m $(BASEDIR)/bin/portal/.
	@- echo "Finished compiling pcode..."

FORM:	$(CFORM)
	cp *.42f $(BASEDIR)/bin/portal/.
	@- echo "Finished compiling forms..."

CLEAN:	
	rm -f *.42?

WSDL:
	fglwsdl ClsDoctosIpsanew.wsdl
	@- echo "Finished compiling wsdl..."

HELP:
	@- echo "Finished compiling help..."

.4gl.42m:
	fgl2p $*.4gl

.4fd.42f:
	gsform $*.4fd
